Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIChangeLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIChangeLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIChangeLoader.java	(revision 135)
@@ -28,15 +28,43 @@
 
 /**
- * TODO
+ * <p>
+ * Loads data from the automative defect data set from Audi Electronic Ventures donated by Altinger
+ * et al. at the MSR 2015. This loader contains the changes per commit, i.e., it is for JIT defect
+ * prediction.
+ * </p>
  * 
- * @author sherbold
- * 
+ * @author Steffen Herbold
  */
 class AUDIChangeLoader implements SingleVersionLoader {
 
+    /**
+     * <p>
+     * Internal helper class.
+     * </p>
+     * 
+     * @author Steffen Herbold
+     */
     private class EntityRevisionPair implements Comparable<EntityRevisionPair> {
+
+        /**
+         * string that defines an entity
+         */
         private final String entity;
+
+        /**
+         * revision number of the entity
+         */
         private final int revision;
 
+        /**
+         * <p>
+         * Constructor. Creates a new EntityRevisionPair.
+         * </p>
+         *
+         * @param entity
+         *            the entity
+         * @param revision
+         *            the revision
+         */
         public EntityRevisionPair(String entity, int revision) {
             this.entity = entity;
@@ -44,4 +72,9 @@
         }
 
+        /*
+         * (non-Javadoc)
+         * 
+         * @see java.lang.Object#equals(java.lang.Object)
+         */
         @Override
         public boolean equals(Object other) {
@@ -54,4 +87,9 @@
         }
 
+        /*
+         * (non-Javadoc)
+         * 
+         * @see java.lang.Object#hashCode()
+         */
         @Override
         public int hashCode() {
@@ -59,4 +97,9 @@
         }
 
+        /*
+         * (non-Javadoc)
+         * 
+         * @see java.lang.Comparable#compareTo(java.lang.Object)
+         */
         @Override
         public int compareTo(EntityRevisionPair other) {
@@ -68,4 +111,9 @@
         }
 
+        /*
+         * (non-Javadoc)
+         * 
+         * @see java.lang.Object#toString()
+         */
         @Override
         public String toString() {
@@ -74,4 +122,9 @@
     }
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see de.ugoe.cs.cpdp.loader.SingleVersionLoader#load(java.io.File)
+     */
     @Override
     public Instances load(File file) {
@@ -139,6 +192,9 @@
         for (int i = 1; i < linesBug.length; i++) {
             lineSplitBug = linesBug[i].split(";");
-            entityRevisionPairs.put(new EntityRevisionPair(lineSplitBug[0], Integer
-                                        .parseInt(lineSplitBug[revisionIndex])), i);
+            entityRevisionPairs.put(
+                                    new EntityRevisionPair(lineSplitBug[0],
+                                                           Integer
+                                                               .parseInt(lineSplitBug[revisionIndex])),
+                                    i);
         }
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIDataLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIDataLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIDataLoader.java	(revision 135)
@@ -25,7 +25,8 @@
 
 /**
- * TODO
+ * Loads data from the automative defect data set from Audi Electronic Ventures donated by Altinger
+ * et al. at the MSR 2015. This loader creates overall defect labels, for the final revision.
  * 
- * @author sherbold
+ * @author Steffen Herbold
  * 
  */
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIFolderLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIFolderLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIFolderLoader.java	(revision 135)
@@ -15,4 +15,13 @@
 package de.ugoe.cs.cpdp.loader;
 
+/**
+ * 
+ * <p>
+ * Loads data from the automative defect data set from Audi Electronic Ventures donated by Altinger
+ * et al. at the MSR 2015. This loader creates overall defect labels, for the final revision.
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public class AUDIFolderLoader extends AbstractFolderLoader {
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AbstractFolderLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AbstractFolderLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AbstractFolderLoader.java	(revision 135)
@@ -46,5 +46,5 @@
     }
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.loader.IVersionLoader#load()
      */
@@ -68,6 +68,7 @@
                             Instances data = instancesLoader.load(versionFile);
                             String versionName = data.relationName();
-                            List<Double> efforts = getEfforts(data); 
-                            versions.add(new SoftwareVersion(projectName, versionName, data, efforts));
+                            List<Double> efforts = getEfforts(data);
+                            versions
+                                .add(new SoftwareVersion(projectName, versionName, data, efforts));
                         }
                     }
@@ -77,5 +78,14 @@
         return versions;
     }
-    
+
+    /**
+     * <p>
+     * Sets the efforts for the instances
+     * </p>
+     *
+     * @param data
+     *            the data
+     * @return
+     */
     private List<Double> getEfforts(Instances data) {
         // attribute in the JURECZKO data and default
@@ -93,9 +103,9 @@
             effortAtt = data.attribute("CountLineCodeExe");
         }
-        if( effortAtt == null ) {
+        if (effortAtt == null) {
             return null;
         }
         List<Double> efforts = new ArrayList<>(data.size());
-        for( int i=0; i<data.size(); i++ ) {
+        for (int i = 0; i < data.size(); i++) {
             efforts.add(data.get(i).value(effortAtt));
         }
@@ -106,5 +116,5 @@
      * Returns the concrete {@link SingleVersionLoader} to be used with this folder loader.
      * 
-     * @return
+     * @return the version loader
      */
     abstract protected SingleVersionLoader getSingleLoader();
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/CSVMockusDataLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/CSVMockusDataLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/CSVMockusDataLoader.java	(revision 135)
@@ -24,4 +24,11 @@
 import de.ugoe.cs.util.FileTools;
 
+/**
+ * <p>
+ * Reads data from the data set provided by Mockus (and Zhang) for universal defect prediction.
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 class CSVMockusDataLoader implements SingleVersionLoader {
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/CSVMockusFolderLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/CSVMockusFolderLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/CSVMockusFolderLoader.java	(revision 135)
@@ -15,4 +15,11 @@
 package de.ugoe.cs.cpdp.loader;
 
+/**
+ * <p>
+ * Reads data from the data set provided by Mockus (and Zhang) for universal defect prediction.
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public class CSVMockusFolderLoader extends AbstractFolderLoader {
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/DecentDataLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/DecentDataLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/DecentDataLoader.java	(revision 135)
@@ -237,9 +237,9 @@
         for (String key : EPackage.Registry.INSTANCE.keySet()) {
             metaModelCache.put(key, EPackage.Registry.INSTANCE.get(key));
-        };
+        } ;
 
         for (String key : metaModelCache.keySet()) {
             EPackage.Registry.INSTANCE.remove(key);
-        };
+        } ;
 
         // Workaround to gernerate a usable URI. Absolute path is not
@@ -445,5 +445,6 @@
         }
         else {
-            Console.printerrln("Could not determine model type, file should end with either .etl or .eol");
+            Console
+                .printerrln("Could not determine model type, file should end with either .etl or .eol");
             return null;
         }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/IDecentVersionLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/IDecentVersionLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/IDecentVersionLoader.java	(revision 135)
@@ -19,6 +19,21 @@
 import de.ugoe.cs.cpdp.versions.SoftwareVersion;
 
+/**
+ * <p>
+ * Extends the version load for the loading of DECENT models
+ * </p>
+ * 
+ * @author Fabian Trautsch
+ */
 public interface IDecentVersionLoader extends IVersionLoader {
 
+    /**
+     * <p>
+     * loads the versions and defines the DECENT attributes to be used
+     * </p>
+     *
+     * @param decentAttributes the attributes
+     * @return the versions
+     */
     public List<SoftwareVersion> load(List<String> decentAttributes);
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/RelinkLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/RelinkLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/RelinkLoader.java	(revision 135)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.cpdp.loader;
 
@@ -10,4 +11,11 @@
 import weka.core.Instances;
 
+/**
+ * <p>
+ * Loads data from the RELINK data set.
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public class RelinkLoader implements SingleVersionLoader {
 
@@ -67,11 +75,11 @@
         attrNames.add("SumEssential");
         attrNames.add("isDefective");
-        
-        for( int j=tmpData.numAttributes()-1; j>=0 ; j-- ) {
-            if( !attrNames.contains(tmpData.attribute(j).name()) ) {
+
+        for (int j = tmpData.numAttributes() - 1; j >= 0; j--) {
+            if (!attrNames.contains(tmpData.attribute(j).name())) {
                 tmpData.deleteAttributeAt(j);
             }
         }
-        
+
         // setting class attribute
         tmpData.setClassIndex(tmpData.numAttributes() - 1);
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/training/FixClass.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/training/FixClass.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/training/FixClass.java	(revision 135)
@@ -29,6 +29,12 @@
 public class FixClass extends AbstractClassifier {
 
+    /**
+     * default serial ID
+     */
     private static final long serialVersionUID = 1L;
 
+    /**
+     * default prediction: non-defective
+     */
     private double fixedClassValue = 0.0d;
 
@@ -62,4 +68,9 @@
     }
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see weka.classifiers.AbstractClassifier#setOptions(java.lang.String[])
+     */
     @Override
     public void setOptions(String[] options) throws Exception {
@@ -67,4 +78,9 @@
     }
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see weka.classifiers.AbstractClassifier#classifyInstance(weka.core.Instance)
+     */
     @Override
     public double classifyInstance(Instance instance) {
@@ -72,4 +88,9 @@
     }
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see weka.classifiers.Classifier#buildClassifier(weka.core.Instances)
+     */
     @Override
     public void buildClassifier(Instances traindata) throws Exception {
